Bug 245454 - META-bug for co-ordination of nvidia driver and related ports update to 440.82 from 440.64
Summary: META-bug for co-ordination of nvidia driver and related ports update to 440.8...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alexey Dokuchaev
URL: https://www.nvidia.com/download/drive...
Keywords: tracking
Depends on: 245736
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-08 13:56 UTC by Matthias Andree
Modified: 2020-04-25 11:38 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2020-04-08 13:56:19 UTC
This is a tracking bug for the update of x11/nvidia-driver to 440.82.

The previous update to 440.64 caused quite a bit of fallout in March 2020 because the various involved packages (listed below) were not updating synchronously, causing quite a bit of pain among ports users.

The release note vs. 440.82 is quite concise:
| Release Highlights:
|
|* Allow presenting from queue families which only expose 
|  VK_QUEUE_COMPUTE_BIT when using XCB in addition to Xlib surfaces.


(For some reason, I don't see linux-nvidia-libs in this list but it should be there, Linux also updated to 440.82.)

linux-nvidia-libs-304-304.137|/usr/ports/x11/linux-nvidia-libs/pkg-descr|x11@FreeBSD.org
linux-nvidia-libs-340-340.108|/usr/ports/x11/linux-nvidia-libs/pkg-descr|x11@FreeBSD.org
linux-nvidia-libs-390-390.132|/usr/ports/x11/linux-nvidia-libs/pkg-descr|x11@FreeBSD.org
nvidia-driver-440.64|/usr/ports/x11/nvidia-driver/pkg-descr|danfe@FreeBSD.org
nvidia-driver-304-304.137_6|/usr/ports/x11/nvidia-driver/pkg-descr|danfe@FreeBSD.org
nvidia-driver-340-340.108|/usr/ports/x11/nvidia-driver/pkg-descr|danfe@FreeBSD.org
nvidia-driver-390-390.132|/usr/ports/x11/nvidia-driver/pkg-descr|danfe@FreeBSD.org
nvidia-settings-440.64|/usr/ports/x11/nvidia-settings/pkg-descr|bland@FreeBSD.org
nvidia-xconfig-440.64|/usr/ports/x11/nvidia-xconfig/pkg-descr|bland@FreeBSD.org

Please file your updates as PRs to this tracking/meta-bug first, and in your PR, mark it as "BLOCKs: (Number of) META-tracking-bug" and only if we have all updates ready to commit, we should commit the updates all in one huge commit.
Comment 1 Matthias Andree freebsd_committer 2020-04-08 13:58:20 UTC
So on your commits, add "Blocks: 245454" and before the final commit, we need to have the OK for 440.82 on

from danfe@: x11/nvidia-driver from danfe@
from bland@: x11/nvidia-settings and x11/nvidia-xconfig
from x11@: x11/linux-nvidia-libs
Comment 2 Alexey Dokuchaev freebsd_committer 2020-04-08 14:28:47 UTC
mandree@ I think you're overengineering this. :-)  I indent to commit the driver itself and Linux libs in one go (these parts indeed better be synchronised).  Auxiliary programs (settings/xconfig) are less entangled AFAIK and could be committed separately.
Comment 3 commit-hook freebsd_committer 2020-04-10 07:12:57 UTC
A commit references this bug:

Author: danfe
Date: Fri Apr 10 07:12:05 UTC 2020
New revision: 531296
URL: https://svnweb.freebsd.org/changeset/ports/531296

Log:
  Update to version 440.82.

  PR:	245454

Changes:
  head/x11/linux-nvidia-libs/Makefile
  head/x11/linux-nvidia-libs/distinfo
  head/x11/nvidia-driver/Makefile
  head/x11/nvidia-driver/distinfo
Comment 4 commit-hook freebsd_committer 2020-04-25 11:36:36 UTC
A commit references this bug:

Author: mandree
Date: Sat Apr 25 11:36:26 UTC 2020
New revision: 532939
URL: https://svnweb.freebsd.org/changeset/ports/532939

Log:
  nvidia-settings, nvidia-xconfig: reset maintainer and update to 440.82

  Given that bland@ hasn't shown activity since December 2019, not responded
  to Bug #245454, not even asked for assistance, the affected ports
  have had timeouts before, see #244312, reset the maintainer to ports@
  so that danfe, I, or any other interested party can see to these ports,
  and commit updates to these ports to bring them back in line with
  nvidia-driver, which is in PR #245736.

  PR:		245736 (concrete trivial update)
  PR:		245454 (timeout)
  PR:		244312 (prior timeout)
  Approved by:	maintainer timeout (bland@, 17d, on PR 245454)

Changes:
  head/x11/nvidia-settings/Makefile
  head/x11/nvidia-settings/distinfo
  head/x11/nvidia-xconfig/Makefile
  head/x11/nvidia-xconfig/distinfo